component: SystemMonitorComponentFaults
proto_imports:
  - vehicle/bpf_system_monitor/diagnostics/system_monitor_diagnostic.proto
metric: SystemMonitorMetric
namespace: zoox::system_monitor
faults:
  - id: 1
    name: bpf_error
    severity: WARNING
    description: "Error in BPF monitor"
  - id: 2
    name: bpf_mia
    severity: WARNING
    description: "No BPF events were recorded"
  - id: 3
    name: bpf_buffer_full
    severity: WARNING
    description: "BPF buffer is over 50% capacity"

  - id: 4
    name: ftrace_error
    severity: WARNING
    description: "Error in FTrace monitor"
  - id: 5
    name: ftrace_mia
    severity: WARNING
    description: "No FTrace events were recorded"
  - id: 6
    name: ftrace_buffer_full
    severity: WARNING
    description: "FTrace buffer is over 50% capacity"

  - id: 7
    name: user_trace_error
    severity: WARNING
    description: "Error in userspace tracing"
  - id: 8
    name: user_trace_mia
    severity: WARNING
    description: "No user space events were recorded"
  - id: 9
    name: user_trace_buffer_full
    severity: WARNING
    description: "user space buffer is over 50% capacity"
